Summary:	X.org input driver for Synaptics and ALPS touchpads
Summary(pl.UTF-8):	Sterownik wejściowy X.org do touchpadów Synaptics oraz ALPS
Name:		xorg-driver-input-synaptics
Version:	1.10.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/archive/individual/driver/xf86-input-synaptics-%{version}.tar.xz
# Source0-md5:	017383c13a0d0f4cb320be477ab25513
Patch0:		restore-shm1.patch
Patch1:		restore-shm2.patch
Patch2:		more-fingers.patch
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libevdev-devel >= 1.2
BuildRequires:	libtool >= 2:2
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXi-devel >= 1.2
BuildRequires:	xorg-lib-libXtst-devel >= 1.0.99.1
BuildRequires:	xorg-proto-inputproto-devel >= 2.1.99.3
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-recordproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.13
BuildRequires:	xorg-xserver-server-devel >= 1.18
BuildRequires:	xz
Requires:	xorg-lib-libXi >= 1.2
Requires:	xorg-lib-libXtst >= 1.0.99.1
Requires:	xorg-xserver-server >= 1.18
%{?requires_xorg_xserver_xinput}
Obsoletes:	X11-input-synaptics < 0.15
Obsoletes:	X11-synaptics < 0.15
Obsoletes:	XFree86-input-synaptics < 0.15
Obsoletes:	xorg-app-synaptics < 0.15
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Synaptics touchpads.

%description -l pl.UTF-8
Sterownik wejściowy X.org do touchpadów Synaptics.

%package devel
Summary:	Header file for synaptics driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika synaptics
Group:		Development/Libraries

%description devel
Header file for synaptics driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika synaptics.

%prep
%setup -q -n xf86-input-synaptics-%{version}
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/synclient
%attr(755,root,root) %{_bindir}/syndaemon
%attr(755,root,root) %{_libdir}/xorg/modules/input/synaptics_drv.so
%{_datadir}/X11/xorg.conf.d/70-synaptics.conf
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_mandir}/man4/synaptics.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/synaptics.h
%{_includedir}/xorg/synaptics-properties.h
%{_pkgconfigdir}/xorg-synaptics.pc
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-synaptics.git;a=log;h=master

* Sat Jan 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 13a97fa
- updated to 1.10.0

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 9cf8e5c
- updated to 1.9.2

* Fri Jun 29 2018 Jakub Bogusz <qboosh@pld-linux.org> dec1802
- updated to 1.9.1

* Wed Nov 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 7d9d886
- updated to 1.9.0
- updated more-fingers patch

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 57032b3
- release 3 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 5607d21
- release 2 (by relup.sh)

* Sun Nov 01 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 88f9e5c
- up to 1.8.3

* Sat May 16 2015 Jan Rękorajski <baggins@pld-linux.org> f7d2631
- restore SHM and monitor functionality
- add 4 and 5 fingers events
- rel 2

* Fri Mar 27 2015 Lukasz Masko <lmasko@pld-linux.org> df3c985
- Up to 1.8.2.

* Thu Sep 18 2014 Lukasz Masko <lmasko@pld-linux.org> 3325cb3
- Up to 1.8.1.

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d843642
- xserver rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f8c1474
- xserver rebuild
- release 2 (by relup.sh)

* Tue May 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 41529e0
- up to 1.8.0

* Fri May 09 2014 Jakub Bogusz <qboosh@pld-linux.org> c1b7219
- updated to 1.7.5

* Wed Mar 12 2014 Lukasz Masko <lmasko@pld-linux.org> 1261b81
- Up to 1.7.4.

* Wed Jan 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 838c15c
- updated to 1.7.3

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 0b91910
- release 2 (by relup.sh)

* Mon Dec 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 56f2672
- updated to 1.7.2

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 0bbb1ef
- updated to 1.7.1

* Tue Apr 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 54ae8d0
- updated xserver version, BR: randrproto

